---
title: "Get Group Files"
slug: "get-group-files"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Files

Get/api/v1/groups.files

Get all media files shared in a private channel.

### Changelog

| Version | Description |
| --- | --- |
| 0.64.0 | Change userId to user object in response |
| 0.59.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral
roomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

query

This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": `query={ &quot;name&quot;: { &quot;$regex&quot;: &quot;g&quot; } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

fieldsstring

This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ &quot;username&quot;: 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

typeGroupstring

Filter results by the type of file. Available options:

- `all`: Return all file types.
- `image`: Filter by image files.
- `video`: Filter by video files.
- `audio`: Filter by audio files.
- `text`: Filter by text documents.
- `application`: Filter by other file types.

Exampleimages
namestring

The name of the file to search for.

Examplelogo

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='b9851cf5-9eea-4147-a6b2-889fc88818e5'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='db9b708c-c6c5-4762-b042-d8f85fb48ec9'>Example</option>
</select>Example

```json
{
  "files": [
    {
      "_id": "S78TNnvaWGwdYRaCD",
      "name": "images.jpeg",
      "size": 9778,
      "type": "image/jpeg",
      "rid": "GENERAL",
      "description": "",
      "store": "GridFS:Uploads",
      "complete": true,
      "uploading": false,
      "extension": "jpeg",
      "progress": 1,
      "user": {
        "_id": "ksKsKmrjvxzkzxkww",
        "username": "rocket.cat",
        "name": "Rocket Cat"
      },
      "_updatedAt": "2018-03-08T14:47:37.003Z",
      "instanceId": "uZG54xuoKauKHykbQ",
      "etag": "jPaviS9qG22xC5sDC",
      "path": "/ufs/GridFS:Uploads/S78TNnvaWGwdYRaCD/images.jpeg",
      "token": "28cAb868d9",
      "uploadedAt": "2018-03-08T14:47:37.295Z",
      "url": "/ufs/GridFS:Uploads/S78TNnvaWGwdYRaCD/images.jpeg"
    }
  ],
  "count": 1,
  "offset": 0,
  "total": 1,
  "success": true
}
```

Expand Allobject  files Array of object   object  _idstring    
namestring    
sizeinteger    
typestring    
ridstring    
descriptionstring    
storestring    
completeboolean    
uploadingboolean    
extensionstring    
progressinteger    
userobject  _idstring    
usernamestring    
namestring    

_updatedAtstring    
instanceIdstring    
etagstring    
pathstring    
tokenstring    
uploadedAtstring    
urlstring    

countinteger    
offsetinteger    
totalinteger    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='c216efd9-3a00-45e1-8968-1f60a1036bac'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='4c85c20d-202a-4053-bf23-95f6225cfc40'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "must have required property 'roomId'\n must have required property 'roomName'\n must match exactly one schema in oneOf [invalid-params]",
  "errorType": "invalid-params"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='b9742f1a-4732-41c3-aa84-d0c832305d66'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7bf170d8-dc0c-4fad-9e08-7c546072a075'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
